package com.goldenwater.slaj.eme.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eme.mapper.BusiTrainRecordMapper;
import com.goldenwater.slaj.eme.domain.BusiTrainRecord;
import com.goldenwater.slaj.eme.service.IBusiTrainRecordService;

/**
 * 应急预案培训记录 服务层实现
 */
@Service
public class BusiTrainRecordServiceImpl implements IBusiTrainRecordService {

    @Autowired
    private BusiTrainRecordMapper busiTrainRecordMapper;

    @Override
    public BusiTrainRecord selectBusiTrainRecordByGuid(String guid) {
        return busiTrainRecordMapper.selectBusiTrainRecordByGuid(guid);
    }

    @Override
    public List<BusiTrainRecord> selectBusiTrainRecordList(BusiTrainRecord busiTrainRecord) {
        return busiTrainRecordMapper.selectBusiTrainRecordList(busiTrainRecord);
    }

    @Override
    public int insertBusiTrainRecord(BusiTrainRecord busiTrainRecord) {
        return busiTrainRecordMapper.insertBusiTrainRecord(busiTrainRecord);
    }

    @Override
    public int updateBusiTrainRecord(BusiTrainRecord busiTrainRecord) {
        return busiTrainRecordMapper.updateBusiTrainRecord(busiTrainRecord);
    }

    @Override
    public int deleteBusiTrainRecordByGuid(String guid) {
        return busiTrainRecordMapper.deleteBusiTrainRecordByGuid(guid);
    }

    @Override
    public int deleteBusiTrainRecordByGuids(String[] guids) {
        return busiTrainRecordMapper.deleteBusiTrainRecordByGuids(guids);
    }
}
